### Method

# ECal Component get_rdates

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_rdates (
      ECalComponent* comp
    )

#### Description [src]

Queries the list of recurrence date properties in a calendar component object. Free the returned `GSList` with g_slist_free_full (slist, e_cal_component_period_free);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `None`

The list of recurrence dates, as a `GSList` of `ECalComponentPeriod` structures.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.